.header {
    .header__main {
        position: fixed;
        width: 100%;
        top: 0;
        background-color: $white;
        -webkit-box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);
        -moz-box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);
        box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);
        z-index: 2;

        .header__wrapper {
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 10px 0;

            .header__logo {
                .logo {
                    max-width: 140px;
                    width: 100%;
                }
            }

            .header__logo--mobile {
                display: none;

                .logo {
                    max-width: 80px;
                    width: 100%;
                }
            }
    
            .header__content {
                display: flex;
                align-items: center;

                .content {
                    margin-right: 30px;
                    transition: 0.4s ease;

                    &:hover {
                        scale: 1.1;
                    }

                    img {
                        position: relative;
                        top: 3px;
                    }
                }
                
                .header__info {
                    @include headerInfo;
                    
                    .info {
                        width: 20px;
                    }
                }

                .header__info--mobile {
                    display: none;

                    .info {
                        max-width: 40px;
                        width: 100%;
                    }
                }

                .header__app {
                    .app {
                        max-width: 40px;
                        width: 100%;
                    }
                }
        
                .header__basket {
                    border: none;
                    background: transparent;
                    width: 45px;
                    height: 40px;
                    cursor: pointer;
                    position: relative;
        
                    .basket {
                        width: 100%;
                    }

                    .counter {
                        @include counter;
                    }
                }
            }
        }
    }
    .product__menu {
        display: none;
        position: fixed;
        top: 80px;
        left: 0;
        padding-left: 25px;
        z-index: 5;
        
        .product__image {
            max-width: 70px;
            width: 100%;
        }
    }

    .header__navigation {
        position: fixed;
        top: 100px;
        left: 0;
        padding-left: 15px;
        z-index: 4;
        
        .product__list  {
            transition: 0.4s ease;

            .product__wrapper {
                display: flex;
                align-items: center;
                transition: 0.4s ease;
                padding: 5px;
                border-radius: 20px;
               
                &:not(:last-child) {
                    margin-bottom: 10px;
                }
    
                .product__image {
                    max-width: 50px;
                    width: 100%;
                }

                .product__name {
                    @include productName;
                    transition: 0.4s ease;
                }
    
                &:hover {
                    background-color: $red;
                    scale: 1.1;
                    
                    .product__image {
                        fill: #fff;
                        stroke: #fff;
                    }

                    .product__name  {
                        display: block;
                        color: $white;
                    }
                }
            }
        }
    }
}

.main {
    position: relative;
    overflow: hidden;

    .sushi__image {
        @include sushiImage;
    }

    .wok__image {
        @include spinAnimate;
    }

    .set__image {
        @include setiImage;
    }

    .section__main {
        .main__info {
            display: flex;
            justify-content: center;
            flex-wrap: wrap;
            gap: 20px;

            .block__wrapper {
                display: flex;
                align-items: center;
                background-color: $cultured;
                padding: 15px;
                border-radius: 20px;
                -webkit-box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);
                -moz-box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);
                box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);

                .image__wrapper {
                    margin-right: 15px;
                }
            }
        }
    }

    .section__products {
        position: relative;

        .block-image__main {
            @include blockImageMain; 
        }

        .block-image__right {
            @include blockImageRight; 
        }

        .block-image__left {
            @include blockImageLeft; 
        }

        .product__list {
            display: flex;
            justify-content: center;
            flex-wrap: wrap;
            gap: 30px;
        }
    }
}

.footer {
    @include footer;
    margin-bottom: 20px;

    .footer__wrapper {
        display: flex;
        justify-content: space-between;
        align-items: center;
        background-color: $cultured;
        padding: 40px;
        border-radius: 20px;
        -webkit-box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.1);
        -moz-box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.1);
        box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.1);

        .footer__content {
            display: flex;

            &:nth-child(1) {
                flex-direction: column;
                gap: 5px;
            }

            &:nth-child(2) {
                flex-direction: column;
                gap: 20px;
            }

            &:nth-child(3) {
                gap: 20px;
            }

            .footer__text {
                @include footerText;
            }

            .footer__link {
                @include footerLink; 
    
                .info {
                    width: 20px;
                }
            }
    
            .footer__social {
                .social__image {
                    width: 40px;
                }
            }
        }
    }
}